transitive.closure {RBGL} | R Documentation

## Compute transitive closure of a directed graph

### Description

Compute transitive closure of a directed graph

### Usage

    transitive.closure(g)

### Arguments

`g` | an instance of the `graph` class

### Details

This function calculates the transitive closure of a directed graph. See documentation on this function in Boost Graph Library for more details.

### Value

A list of

`vertices` | the vertices of the transitive closure
`edges` | the edges of the transitive closure

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

### Examples

    coex <- fromGXL(file(system.file("XML/dijkex.gxl",package="RBGL"), open="r"))
    transitive.closure(coex)

[Package RBGL version 1.10.0 Index]